#include "__tag.h"
#include "Exception.h"

namespace jet {
   
   __tag::__tag(coreutils::ZString &in, coreutils::MString &parentOut, Global &global, Tag *parent, Tag *local) : Tag(in, parentOut, global, this, this) {
      evaluate = false;
      output = false;
      if(!keywordDefined("name"))
	throw coreutils::Exception("tag must have a name.");
      if(!hasContainer)
	throw coreutils::Exception("tag requires a container to process.");
      global.tags[keywords["name"]] = container; 
   }
}

